ubuntu-release-upgrader-core shows upgrading from 18.10 to 18.10

Bug #1825733 reported by Ferry Toth on 2019-04-21
22
This bug affects 3 people
Affects Status Importance Assigned to Milestone
ubuntu-release-upgrader (Ubuntu)
Low
Gunnar Hjalmarsson
Disco
High
Gunnar Hjalmarsson

Bug Description

[Impact]

When performing an upgrade from Kubuntu 18.10 to 19.04 the screen shows upgrading to 18.10.
See attachment.

[Test Case]

 * Install Kubuntu 18.10

 * Start an upgrade to 19.04 using this command:

   pkexec do-release-upgrade -m desktop -f DistUpgradeViewKDE -p

 * The window should state upgrading to 19.04

[Regression Potential]

None.

[Part of original description]

ProblemType: Bug
DistroRelease: Ubuntu 18.10
Package: ubuntu-release-upgrader-core 1:18.10.11.5
ProcVersionSignature: Ubuntu 4.18.0-17.18-lowlatency 4.18.20
Uname: Linux 4.18.0-17-lowlatency x86_64
ApportVersion: 2.20.10-0ubuntu13.2
Architecture: amd64
CrashDB: ubuntu
Date: Sun Apr 21 19:28:41 2019
InstallationDate: Installed on 2015-01-04 (1568 days ago)
InstallationMedia: Kubuntu 14.04.1 LTS "Trusty Tahr" - Release amd64 (20140722.2)
PackageArchitecture: all
SourcePackage: ubuntu-release-upgrader
UpgradeStatus: Upgraded to cosmic on 2018-12-30 (111 days ago)
VarLogDistupgradeAptclonesystemstate.tar.gz:
 Error: command ['pkexec', 'cat', '/var/log/dist-upgrade/apt-clone_system_state.tar.gz'] failed with exit code 127: polkit-agent-helper-1: error response to PolicyKit daemon: GDBus.Error:org.freedesktop.PolicyKit1.Error.Failed: No session for cookie
 Error executing command as another user: Not authorized

 This incident has been reported.
VarLogDistupgradeXorgFixuplog:
 INFO:root:/usr/bin/do-release-upgrade running
 INFO:root:No xorg.conf, exiting

Ferry Toth (ftoth) wrote :
tags: added: bionic2cosmic
tags: added: third-party-packages
Ferry Toth (ftoth) wrote :

The attachments may be reporting wrong versions. It appeared to be impossible to report the bug from the machine where I was performing the update, so I had to turn to another one.

To be clear, this was when upgrading from cosmic to disco.

tags: added: cosmic2disco disco
removed: bionic2cosmic cosmic
tags: added: bionic2cosmic
Brian Murray (brian-murray) wrote :

I tried recreating this by upgrading an Ubuntu 18.10 system to Ubuntu 19.04 and the dialog I received, in English, indicated that it was in fact upgrading to Ubuntu 19.04. Subsequently I suspect this is a translations issue.

tags: added: i18n
summary: - ubuntu-release-upgrader-core shows upgrading from 18.10 to 18.10
+ ubuntu-release-upgrader-core shows upgrading from 18.10 to 18.10 in nl

You are probably right. In that case:
- the EN version does not state FROM which version
- the NL version first line "Upgrading Ubuntu 18.10 to version 18.10" is not translated and should be "Opwaarderen Ubuntu 18.10 naar versie 19.04"

Gunnar Hjalmarsson (gunnarhj) wrote :

I suppose that Kubuntu uses qt, and it looks like the DistUpgrade/window_main.ui file was not updated in this upload:

https://launchpad.net/ubuntu/+source/ubuntu-release-upgrader/1:19.04.1

So I don't think it's a translation issue.

However, I wonder from where the first occurrence of "18.10" in Ferry's screenshot comes from...

$ grep Upgrading window_main.ui
      <string>&lt;b&gt;&lt;big&gt;Upgrading Ubuntu to version 18.10&lt;/big&gt;&lt;/b&gt;</string>

Gunnar Hjalmarsson (gunnarhj) wrote :

@Brian: Updating window_main.ui ought to fix this, right?

Changed in ubuntu-release-upgrader (Ubuntu):
importance: Undecided → Low
status: New → Triaged
Changed in ubuntu-release-upgrader (Ubuntu Disco):
importance: Undecided → High
status: New → Triaged
Gordon Lack (gordon-lack) wrote :

FYI: There's a screenshot (in English, so not a translation issue) at https://bugs.launchpad.net/bugs/1825733

Gordon Lack (gordon-lack) wrote :

Sorry - that should have said that the screenshot is in: https://bugs.launchpad.net/bugs/1827669

Gunnar Hjalmarsson (gunnarhj) wrote :

On 2019-05-05 14:16, Gordon Lack wrote:
> FYI: There's a screenshot (in English, so not a translation issue)

Right, and that's also Kubuntu, i.e. qt. => window_main.ui

Ferry Toth (ftoth) wrote :

@Gunnar "However, I wonder from where the first occurrence of "18.10" in Ferry's screenshot comes from..." definitely not from window_main.ui then. Maybe is overwritten by translation text?

Gordon Lack (gordon-lack) wrote :

It's not the first occurrence of "18.10" that's the issue; it's the second, which should have been 19.04.

Gunnar Hjalmarsson (gunnarhj) wrote :
tags: added: patch
description: updated
Changed in ubuntu-release-upgrader (Ubuntu):
assignee: nobody → Gunnar Hjalmarsson (gunnarhj)
status: Triaged → In Progress
Changed in ubuntu-release-upgrader (Ubuntu Disco):
assignee: nobody → Gunnar Hjalmarsson (gunnarhj)
status: Triaged → In Progress
summary: - ubuntu-release-upgrader-core shows upgrading from 18.10 to 18.10 in nl
+ ubuntu-release-upgrader-core shows upgrading from 18.10 to 18.10
Gunnar Hjalmarsson (gunnarhj) wrote :

On 2019-05-05 22:27, Ferry Toth wrote:
> @Gunnar "However, I wonder from where the first occurrence of "18.10"
> in Ferry's screenshot comes from..." definitely not from
> window_main.ui then.

Well, that's a fair point. I still submitted patches about changing that very file in order to move the issue forward.

> Maybe is overwritten by translation text?

I don't see how that would happen. To be honest I don't see how that string - when correct in the original source - would ever show up translated. When you upgrade from e.g. 18.10 to 19.04, you are still on 18.10 when that string shows up, and at that point I suppose that the language packs for 18.10 are still in effect.

So the original string ought to read:

"Upgrading Ubuntu to version 19.04"

while the string in mutter.mo is:

"Upgrading Ubuntu to version 18.10"

Maybe I'm missing something.

Gunnar Hjalmarsson (gunnarhj) wrote :

s/mutter.mo/ubuntu-release-upgrader.mo/

*don't overestimate your multitasking ability*

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-release-upgrader - 1:19.10.4

---------------
ubuntu-release-upgrader (1:19.10.4) eoan; urgency=medium

  [ Gunnar Hjalmarsson ]
  * DistUpgrade/window_main.ui: Really update for 19.10 (LP: #1825733).

 -- Brian Murray <email address hidden> Thu, 09 May 2019 11:06:05 -0700

Changed in ubuntu-release-upgrader (Ubuntu):
status: In Progress → Fix Released
Gunnar Hjalmarsson (gunnarhj) wrote :

After the fix of window_main.ui in eoan I installed Kubuntu 19.04, started an upgrade using the command:

kubuntu-devel-release-upgrade

and got the expected string "Upgrading Ubuntu 19.04 to version 19.10". (Apparently a string substitution takes place to insert the "19.04" part.)

There are also translation aspects to this string which deserve attention, but that will be tracked in bug #1727472. We can consider it confirmed that simply editing window_main.ui fixes this bug.

Brian let me know that disco will be uploaded only when a pending disco SRU has been completed, so it will take a while.

no longer affects: ubuntu-translations
Brian Murray (brian-murray) wrote :

I've uploaded this to the Disco queue and is waiting for review and the current SRU to be verified / age.

description: updated

Hello Ferry, or anyone else affected,

Accepted ubuntu-release-upgrader into disco-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/ubuntu-release-upgrader/1:19.04.16.5 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-disco to verification-done-disco. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-disco. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in ubuntu-release-upgrader (Ubuntu Disco):
status: In Progress → Fix Committed
tags: added: verification-needed verification-needed-disco
Gunnar Hjalmarsson (gunnarhj) wrote :

Verified the test case; resulting string:

"Upgrading Ubuntu 18.10 to version 19.04"

description: updated
tags: added: verification-done verification-done-disco
removed: verification-needed verification-needed-disco
To post a comment you must log in.